%global version 2.9.2
%global _bootstrap 0

Name:		eclipse-xtext
Version:	%{version}
Release:	4%{?dist}
Summary:	Xtext is a framework for development of programming languages
License:	EPL and ASL 2.0
URL:		https://github.com/eclipse/xtext

Source0:	https://github.com/eclipse/xtext/archive/v%{version}.zip

Patch0:         jdt-neon.patch

BuildArch:	noarch

BuildRequires:	guava
BuildRequires:	google-guice
BuildRequires:	antlr32-java >= 3.2-10
BuildRequires:	atinject
BuildRequires:	eclipse-platform >= 1:4.4
BuildRequires:	apache-commons-lang
BuildRequires:	log4j
BuildRequires:	eclipse-gef
BuildRequires:	eclipse-emf-runtime
BuildRequires:	eclipse-emf-mwe
BuildRequires:	eclipse-jdt
BuildRequires:	eclipse-m2e-core
BuildRequires:	objectweb-asm
BuildRequires:	eclipse-xpand
BuildRequires:	junit
BuildRequires:	maven-archetype-packaging
BuildRequires:	maven-local
BuildRequires:	tycho
BuildRequires:	tycho-extras
BuildRequires:	eclipse-xtext-antlr-generator
BuildRequires:	maven-antrun-plugin
BuildRequires:	maven-dependency-plugin
BuildRequires:	sonatype-oss-parent
%if !%{_bootstrap}
BuildRequires:	eclipse-pde
%endif

%description
Xtext is a framework for development of programming languages and DSLs


%prep
%setup -q -n xtext-%{version}
%patch0

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

pushd maven/org.eclipse.xtext.parent
%pom_remove_plugin org.apache.maven.plugins:maven-gpg-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-javadoc-plugin

%pom_disable_module ../org.eclipse.xtext.maven.plugin
%pom_disable_module ../org.eclipse.xtend.maven.plugin
%pom_disable_module ../org.eclipse.xtend.maven.android.archetype
%pom_disable_module ../org.eclipse.xtend.maven.archetype
%pom_disable_module ../org.eclipse.xtext.xtext

popd

pushd maven/org.eclipse.xtext.tycho.parent
%pom_remove_plugin org.eclipse.tycho:target-platform-configuration
popd

#disable modules to break cycle


%if %{_bootstrap}
pushd maven/org.eclipse.xtext.tycho.parent
%pom_disable_module ../../plugins/org.eclipse.xtext.ui.codetemplates
%pom_disable_module ../../plugins/org.eclipse.xtext.ui.codetemplates.ui
%pom_disable_module ../../plugins/org.eclipse.xtext.xbase.ui
%pom_disable_module ../../plugins/org.eclipse.xtext.xbase.junit
%pom_disable_module ../../plugins/org.eclipse.xtend.core
%pom_disable_module ../../plugins/org.eclipse.xtend.ide.common
%pom_disable_module ../../plugins/org.eclipse.xtend.lib.gwt
popd
%endif

#remove org.antlr dependency
pushd maven/org.eclipse.xtend.maven.plugin/
%pom_remove_dep org.antlr:antlr-runtime
popd

pushd plugins/org.eclipse.xtext.purexbase/
%pom_remove_dep org.antlr:antlr-runtime
popd

pushd plugins/org.eclipse.xtext/
%pom_remove_dep org.antlr:antlr-runtime
%pom_remove_dep org.eclipse.equinox:org.eclipse.equinox.common
popd

#remove xtext-antlr-generator dependency

pushd maven/org.eclipse.xtext.xtext/ 
%pom_remove_dep	org.eclipse.xtext:xtext-antlr-generator
popd

pushd plugins/org.eclipse.xtext.generator/
%pom_remove_dep org.eclipse.xtext:xtext-antlr-generator
popd 

pushd plugins/org.eclipse.xtext.xtext.generator/
%pom_remove_dep org.eclipse.xtext:xtext-antlr-generator
popd

pushd plugins/org.eclipse.xtext.builder.standalone/
%pom_remove_dep org.eclipse.xtext:org.eclipse.xtext.xbase
popd

pushd plugins/org.eclipse.xtext.xbase.lib.gwt/
%pom_remove_dep com.google.guava:guava-gwt
popd

pushd plugins/org.eclipse.xtend.lib.gwt/
%pom_remove_dep com.google.guava:guava-gwt
popd

pushd maven/org.eclipse.xtext.xbase.lib.slim/
%pom_remove_plugin com.github.wvengen:proguard-maven-plugin
%pom_remove_dep org.eclipse.xtext:org.eclipse.xtext.xbase.lib
popd

pushd plugins/org.eclipse.xtend.core
%pom_remove_dep org.eclipse.xtext:org.eclipse.xtext.xbase.junit
popd

%build
%mvn_build -j -- -f maven/org.eclipse.xtext.parent/pom.xml

%install
%mvn_install

%files -f .mfiles
%license features/org.eclipse.xtext.license.feature/epl-v10.html

%changelog
* Tue May 30 2017 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.9.2-4
- Add missing build-requires on maven-dependency-plugin

* Wed May 10 2017 Mat Booth <mat.booth@redhat.com> - 2.9.2-3
- Fix build against Oxygen

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jun 20 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.9.2-1
- Update to upstream version 2.9.2

* Mon Jun 20 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.9.1-3
- Add missing build-requires

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 21 2015 Sopot Cela <scela@redhat.com> - 2.9.1-1
- upgrade to 2.9.1

* Fri Dec 04 2015 Sopot Cela <scela@redhat.com> - 2.9.0-1
- upgrade to 2.9.0

* Fri Nov 27 2015 Sopot Cela <scela@redhat.com> - 2.9.0-0.2
- bootstrap flag off

* Tue Nov 17 2015 Sopot Cela <scela@redhat.com> - 2.9.0-0.1
- Initial packaging
